1. Fmd
SCAEM
  • Back to home
  • api.dataemergencia.com
  • Endpoints
    • V1
      • Generators
        • Series Generator
        • Code Generator
        • Code Retrival
        • Code Remaining
      • Whatsapp
        • Test Message Template Copy
        • Test Message Emergency Template One
        • Test Message Template
        • Test Message Text
      • Tokens
        • Generate Token
        • Register Application
        • Generate Application Token
        • Patch Application Token
      • Auth
        • Logout
        • CSRF
        • Relationship
      • Webhooks
        • WhatsApp Verification Webhook
        • WhatsApp Handling Messages Webhook
      • Welcome
    • V2
      • Fmd
        • FMD
          GET
        • FMD Model Data
          GET
        • FMD Models Data
          GET
        • FMD Existence
          GET
        • Check existent FMD
          GET
        • Relationship
          PATCH
        • FMD Patch Emergency Contacts
          PATCH
        • FMD Patch Template Type
          PATCH
        • FMD Patch
          PATCH
        • FMD Update Emergency Contacts
          PUT
      • Auth
        • Logout
        • Register
        • Login
      • Product
        • Product
      • Google Maps
        • Google Maps | Search Based URL Generator
      • WhatsApp
        • Send Template Message
      • Generators
        • Code Generator Carnet QR Pattern
      • Webhooks
        • WhatsApp Verification Webhook
        • WhatsApp Handling Messages Webhook
      • Emergency
        • Emergencies
        • Emergency
        • Emergency
        • Emergency
        • Emergency Copy
      • Subscription
        • Subscription
      • Project
        • Create Project Access Url
      • SGI-API-Chatwoot
        • Send messages to Chatwoot Inbox API (broke)
        • Send Location Message
        • Create Contact
      • Codes
        • Generate Code By Prefix
        • Generate Code By Prefix Copy
  • Test
    • Auth
      • Login
      • Register
    • Broadcasting
      • WhatsApp Broadcasting Event Trigger
      • WhatsApp Broadcasting Status Event Trigger
      • WhatsApp Broadcasting Event Trigger For Routing to Correct Recipient
    • Media Test Hardcoded
      GET
    • oauth-broke
      GET
    • user_pic
      GET
    • Test Connection
      GET
    • Me
      GET
  • External
    • Whatsapp
      • Resumable API
        • Start Media Uploading Session
        • Upload Media
      • WhatsApp Media Assets API
        • Download Media
        • Test Whatsapp Image Download
        • Test Whatsapp Image URL Retrieval
      • Test Message
      • second_test_message template
      • Verify Phone Number
      • Check conversations
  • Health
    GET
  1. Fmd

FMD Update Emergency Contacts

Developing
PUT
/{{v2}}/fmd/{qr_code_product}/emergencia
Endpoint that works as the update operation of the complete contact table of the emergency fmd

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/json

Example
{
    "contacts": [
        {
            "contact_data": {
                "name": "Rosalie Bartoletti",
                "relationship": "padre",
                "area_code": "+51",
                "phone_number": "+13792527623"
            }
        },
        {
            "contact_data": {
                "name": "Rosalie Bartoletti",
                "relationship": "padre",
                "area_code": "+51",
                "phone_number": "+13792527623"
            }
        },
        {
            "contact_data": {
                "name": "",
                "relationship": "",
                "area_code": "",
                "phone_number": ""
            }
        }
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff --request PUT '/{{v2}}/fmd/ausbqj/emergencia' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "contacts": [
        {
            "contact_data": {
                "name": "Rosalie Bartoletti",
                "relationship": "padre",
                "area_code": "+51",
                "phone_number": "+13792527623"
            }
        },
        {
            "contact_data": {
                "name": "Rosalie Bartoletti",
                "relationship": "padre",
                "area_code": "+51",
                "phone_number": "+13792527623"
            }
        },
        {
            "contact_data": {
                "name": "",
                "relationship": "",
                "area_code": "",
                "phone_number": ""
            }
        }
    ]
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "meta": {
        "timestamp": "14:15:22.123Z",
        "api_version": "string",
        "status": 0,
        "copyright": "string"
    },
    "data": {
        "type": "response",
        "id": 0,
        "attributes": {
            "message": "string",
            "contacts_count": 0
        }
    }
}
🟠401Unauthorized
🟠422Parameter Error
Modified at 2025-04-30 14:04:22
Previous
FMD Patch
Next
Logout
Built with